Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1156514

Summary: [rfe] use dnf instead of yum for fedora-easy-karma
Product: [Fedora] Fedora Reporter: Rahul Sundaram <metherid>
Component: fedora-easy-karmaAssignee: Till Maas <opensource>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: ignatenko, metherid, opensource
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-01 17:02:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1156491    
Attachments:
Description Flags
use dnf instead of yum none

Description Rahul Sundaram 2014-10-24 15:37:31 UTC
Description of problem:


Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

Please switch from  yum/yum-utils to dnf/dnf-plugins-core. Thanks!

Comment 1 Till Maas 2014-10-24 16:24:05 UTC
(In reply to Rahul Sundaram from comment #0)
> Description of problem:
> 
> 
> Fedora 22 is planning to switch over to dnf from yum as per
> 
> https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

The API documentation link on the page returns a 404 error:
http://akozumpl.github.io/dnf/api.html

Comment 2 Rahul Sundaram 2014-10-24 16:26:43 UTC
Please use

https://rpm-software-management.github.io/dnf/api.html

I will fix the page

Comment 3 Igor Gnatenko 2015-01-28 22:32:17 UTC
Created attachment 985402 [details]
use dnf instead of yum

Reference: https://bugzilla.redhat.com/show_bug.cgi?id=1156514
Signed-off-by: Igor Gnatenko <i.gnatenko.brain>

Comment 4 Igor Gnatenko 2015-01-28 22:33:41 UTC
please use git am for my patch ;)

Comment 5 Fedora Update System 2015-05-08 20:13:00 UTC
fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc21

Comment 6 Fedora Update System 2015-05-08 20:13:08 UTC
fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc22

Comment 7 Fedora Update System 2015-05-08 20:13:16 UTC
fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc20

Comment 8 Fedora Update System 2015-05-10 23:33:47 UTC
Package fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7869/fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-06-01 17:02:48 UTC
fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-06-01 17:04:14 UTC
fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-06-01 17:04:45 UTC
fedora-easy-karma-0-0.24.20150508gitc8e437c0.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.